<?php

namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class FeriasService {

    /** @var HcmServices $hcmServices */
    public $hcmSevices;

    public function __construct(HcmServices $hcmServices) {
        $this->hcmServices = $hcmServices;
    }

    public function getProgramacaoFerias($nrOrg, $nrestruturam, $nrperiodoapuracao) {
        $route = 'getProgramacaoFerias';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'NRORG'             => $nrOrg,
                'NRESTRUTURAM'      => $nrestruturam,
                'NRPERIODOAPURACAO' => $nrperiodoapuracao
            ]
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $paresMarcacoes = $result['dataset']['programacaoFerias'];

        return $paresMarcacoes;
    }

    public function setProgramacaoFerias($nrOrg, $cdoperador, $rows) {
        $route = 'setProgramacaoFerias';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'ROWS' => [ 
                    $rows
                ],
                'CDOPERADOR' => $cdoperador
            ]
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $paresMarcacoes = $result['dataset']['setProgramacaoFerias'];

        return $paresMarcacoes;
    }
}